/*! © 2026 Yahoo, Inc. UDS v0.0.0-development */
"use client";
Object.defineProperty(exports, Symbol.toStringTag, { value: "Module" });
require("../../../_virtual/_rolldown/runtime.cjs");
const require_styles_styler = require("../../../styles/styler.cjs");
const require_components_Box = require("../../Box.cjs");
const require_components_client_Modal_ModalContext = require("./ModalContext.cjs");
const require_components_client_Modal_UDSModalConfigProvider = require("./UDSModalConfigProvider.cjs");
const require_components_client_Modal_useScrollFade = require("./useScrollFade.cjs");
let react_jsx_runtime = require("react/jsx-runtime");
//#region src/components/client/Modal/ModalContent.tsx
const ModalContent = ({ children, asChild = void 0, slotProps }) => {
	const { size } = require_components_client_Modal_UDSModalConfigProvider.useModalConfig();
	const { scrollBehavior } = require_components_client_Modal_ModalContext.useInternalModalContext();
	const scrollFadeProps = require_components_client_Modal_useScrollFade.useScrollFade(scrollBehavior === "inside");
	const classNames = { content: require_styles_styler.getStyles({
		modalSizeSpacingHorizontal: size,
		overflowY: scrollBehavior === "inside" ? "auto" : void 0,
		display: "block",
		flexGrow: scrollBehavior === "inside" ? "1" : void 0
	}) };
	return /* @__PURE__ */ (0, react_jsx_runtime.jsx)(require_components_Box.Box, {
		asChild,
		...slotProps?.root,
		...scrollFadeProps,
		style: {
			...scrollFadeProps.style,
			...slotProps?.root?.style
		},
		className: require_styles_styler.cx(classNames.content, slotProps?.root?.className),
		children
	});
};
ModalContent.displayName = "ModalContent";
ModalContent.__modalSlot = "content";
//#endregion
exports.ModalContent = ModalContent;
